/* Algeria FLFP ECE
Master do file 
Version 14 CK
Original: July 12, 2020
Updated: 2023.04.07 (WBER Revision)
Moundir Lassassi and Caroline Krafft
*/


*Directory:
*Moundir's desktop
*cd "C:\Users\lassa\OneDrive\Desktop\"

*Caroline's Dropbox
cd "/Users/Caroline/Dropbox/ERF Caroline Moundir/"

*Version
version 16.1

*Seed (from random # gen)
set seed 40712786

*Install programs
*ssc install rdrobust, replace
*net install rddensity, from(https://raw.githubusercontent.com/rdpackages/rddensity/master/stata) replace

*Formatting requirements
graph set window fontface "Times New Roman"

*Log
capture log close
log using "Logs/Algeria FLFP ECE log $S_DATE $S_TIME.log", replace

*Data prep for MICS 2006
do "Data & Do/MICS 2006 Data Prep Algeria FLFP ECE v9 CK.do"

*Data prep for MICS 2012
do "Data & Do/MICS 2012 Data Prep Algeria FLFP ECE v11 CK.do"

*Data prep for MICS 2018
do "Data & do/MICS 2018 Data Prep Algeria FLFP ECE v6 CK.do"

*Combining data
do "Data & Do/MICS combo Algeria FLFP ECE v9 CK.do"

*Descriptives
do "Data & Do/Descriptives Algeria FLFP ECE v10 CK.do"

*RDD 
do "Data & Do/RDD Algeria FLFP ECE v14 CK.do"

*Log close
log close
